﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/b16b3b16c7a0/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2022.3.7f1.exe'
$checksum64     = '9b9e7029d47f2a57d448f0344fa553bd856361944aa39294d8b1b5138ffb15a1'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
